<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsBoatTransferMapper">

    <resultMap type="com.ltgk.boat.domain.entity.DsBoatTransfer" id="DsBoatTransferMap">
        <result property="id" column="id"/>
        <result property="boatId" column="boat_id"/>
        <result property="boatName" column="boat_name"/>
        <result property="boatCode" column="boat_code"/>
        <result property="transferType" column="transfer_type"/>
        <result property="oldHolderName" column="old_holder_name"/>
        <result property="newHolderName" column="new_holder_name"/>
        <result property="oldHolderPhone" column="old_holder_phone"/>
        <result property="newHolderPhone" column="new_holder_phone"/>
        <result property="breedingLicenseCode" column="breeding_license_code"/>
        <result property="boatInspectionTime" column="boat_inspection_time"/>
        <result property="oldBoatOwnership" column="old_boat_ownership"/>
        <result property="agreeProve" column="agree_prove"/>
        <result property="auditStatus" column="audit_status"/>
        <result property="auditTime" column="audit_time"/>
        <result property="auditReason" column="audit_reason"/>
        <result property="newHolderIdCardFront" column="new_holder_id_card_front"/>
        <result property="newHolderIdCardReverse" column="new_holder_id_card_reverse"/>
        <result property="oldHolderIdCardFront" column="old_holder_id_card_front"/>
        <result property="oldHolderIdCardReverse" column="old_holder_id_card_reverse"/>
        <result property="applyUserId" column="apply_user_id"/>
        <result property="applyUserName" column="apply_user_name"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>

